from basket.models import Basket

def get_basket_totals(contact):
    rows = Basket.objects.filter(contact = contact)
    total_quantity = 0
    total_income = 0
    total_fee = 0
    total_discount = 0
    total = 0

    if rows:
        for row in rows:
            total_quantity += row.quantity
            total_income += row.total_income
            total_fee += row.total_fee
            total_discount += row.total_discount
            total += row.total

    return {
        'total_quantity': total_quantity,
        'total_income': total_income,
        'total_fee': total_fee,
        'total_discount': total_discount,
        'total': total,
    }

