from django.core.management.base import NoArgsCommand
from django.core.management import call_command

class Command(NoArgsCommand):
    help = "Load VAT data."

    def handle_noargs(self, **options):
        """Load vat fixtures"""
        call_command('loaddata', 'vat_data.xml', interactive=True)

