from django.utils.text import capfirst
from django.core.urlresolvers import reverse
from django.contrib.contenttypes.models import ContentType
from django.utils.translation import ugettext_lazy as _

from admin_tools.dashboard.modules import ModelList

class ShopProductModelList(ModelList):
    def __init__(self, **kwargs):
        kwargs =  {
            'title': _("Shop"),
            'models':['shop.models.ShopProduct','shop.models.ShopCategory'],
            #'exclude_list':['procedure.models.ProcedureRow',]
        }
        super(ShopProductModelList, self).__init__(**kwargs)