from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu
from jumbo.conf.admin_menu import GenericMenuItem
from jumbo.middleware.thread_local import get_current_user

def get_root_menu(children):
    user = get_current_user()
    if not user.has_perm("shop.view_shopproduct"):
        return None

    root_menu = items.MenuItem(
        title=_('Shop'),
        children=[],
        url = reverse('admin:shop_shopproduct_changelist')
    )
    children.append(root_menu)

def add_extended_menuitems(children, current_app):
    gm = GenericMenuItem('shop', ['shopproduct', 'shopcategory'])
    user = get_current_user()


    menu = gm.get_menu()
    [ children.append(prod_menu) for prod_menu in menu ]

#!/usr/bin/env python

