from django.core.management.base import NoArgsCommand
from django.core.management import call_command

class Command(NoArgsCommand):
    help = "Load a default store data"

    def handle_noargs(self, **options):
        call_command('loaddata', 'store_data.xml', interactive=True)

