# -*- coding: utf-8 -*-
from django.db.models.signals import post_save, post_delete
from ddt.models import Ddt, DdtRow

def update_flag_ddt(sender, instance, created, **kwargs):
    pass
post_save.connect(update_flag_ddt, sender=Ddt)

def update_flag_ddtrow(sender, instance, created, **kwargs):
    if instance.procedurerow:
        if instance.procedurerow.get_notdeliveredquantity() == 0:
            instance.procedurerow.ddt = True
            instance.procedurerow.save()

            if instance.procedurerow.procedure.is_alldelivered():
                instance.procedurerow.procedure.ddt = True
                instance.procedurerow.procedure.save()

        if instance.procedurerow.get_notinvoicedquantity() == 0:
            instance.procedurerow.invoice = True
            instance.procedurerow.save()

            if instance.procedurerow.procedure.is_allinvoiced():
                instance.procedurerow.procedure.invoice = True
                instance.procedurerow.procedure.save()
post_save.connect(update_flag_ddtrow, sender=DdtRow)

def update_flag_procedurerow(sender, instance, **kwargs):
    if instance.procedurerow:
        instance.procedurerow.ddt = False
        instance.procedurerow.save()
        instance.procedurerow.procedure.ddt = False
        instance.procedurerow.procedure.save()

post_delete.connect(update_flag_procedurerow, sender=DdtRow)
