from datetime import date
from ddt.models import Ddt

def get_last_ddt(date_d=date.today()):
    year =date_d.year
    try:
        ddt = Ddt.objects.filter(date_d__year=year).order_by('-number')[0]
        return ddt
    except:
        return None;

def get_next_ddt_number(date_d=date.today()):
    year = date_d.year
    try:
        number = Ddt.objects.filter(date_d__year=year).order_by('-number')[0].number + 1
    except:
        number = 1
    return number
