from django.core.paginator import Paginator, InvalidPage, EmptyPage
from django.shortcuts import get_object_or_404, render_to_response
from django.template import RequestContext
#from product.models import CatalogCategory
#
#
#def catalog_view(request, template='product/catalog.html'):
#    try:
#        paginator = Paginator(CatalogCategory.objects.all(), 25) # Show 25 contacts per page
#    except CatalogCategory.DoesNotExist:
#        pass
#
#    # Make sure page request is an int. If not, deliver first page.
#    try:
#        page = int(request.GET.get('page', '1'))
#    except ValueError:
#        page = 1
#
#    # If page request (9999) is out of range, deliver last page of results.
#    try:
#        catalog_category = paginator.page(page)
#    except:
#        catalog_category = paginator.page(paginator.num_pages)
#
#    ctx = {
#        'catalog_category': category,
#    }
#
#    return render_to_response(template, context_instance=RequestContext(request, ctx))
#
#
#def category_view(request, slug, parent_slugs='', template='product/category.html'):
#    """Display the category, its child categories, and its products.
#
#    Parameters:
#     - slug: slug of category
#     - parent_slugs: ignored
#    """
#    try:
#        category  =  CatalogCategory.objects.get(slug=slug)
#        paginator = Paginator(category.products.all(), 25) # Show 25 contacts per page
#        paginator_cat = Paginator(category.get_children(), 25)
#    except CatalogCategory.DoesNotExist:
#        pass
#
#    # Make sure page request is an int. If not, deliver first page.
#    try:
#        page = int(request.GET.get('page', '1'))
#        page_cat = int(request.GET.get('page_cat', '1'))
#    except ValueError:
#        page = 1
#        page_cat = 1
#
#    # If page request (9999) is out of range, deliver last page of results.
#    try:
#        products = paginator.page(page)
#    except:
#        products = paginator.page(paginator.num_pages)
#
#    try:
#        child_categories = paginator_cat.page(page_cat)
#    except (EmptyPage, InvalidPage):
#        child_categories = paginator_cat.page(paginator_cat.num_pages)
#
#    ctx = {
#        'category': category,
#        'child_categories': child_categories,
#        'products': products,
#    }
#
#    return render_to_response(template, context_instance=RequestContext(request, ctx))
