from django.core.management.base import NoArgsCommand
from django.core.management import call_command

class Command(NoArgsCommand):
    help = "Load a default shop data"

    def handle_noargs(self, **options):
        """Load default shop data fixtures"""
        call_command('loaddata', 'shop_data.xml', interactive=True)

