# -*- coding: utf-8 -*-

import datetime
from store.models import StoreDocumentNumber

def create_update_storedocumentnumber(application, curr_date=None, year=None, store_document=None):
    if not store_document:
        return None
    if not curr_date:
        curr_date = datetime.date.today()
    if not year:
        year = curr_date.year
    if curr_date.year != year:
        return None
    try:
        obj=StoreDocumentNumber.objects.filter(application=application, year=year, store_document=store_document)[0]
        if curr_date < obj.last_date:
            return None
        obj.last_number += 1
    except:
        obj=StoreDocumentNumber()
        obj.date_create = datetime.datetime.now()
        obj.store_document = store_document
        obj.application = application
        obj.year = year
        obj.last_number = 1

    obj.last_date = curr_date
    obj.date_last_modify = datetime.datetime.now()
    obj.save()

    return obj.last_number
